Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpKeyId

    java.lang.Object
      org.gradle.plugins.signing.signatory.pgp.PgpKeyId

All Implemented Interfaces:
  Comparable

    class PgpKeyId

A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

Property Summary
`String` | `asHex`
`long` | `asLong`

Constructor Summary
`PgpKeyId(long keyId)`
`PgpKeyId(PGPPublicKey keyId)`
`PgpKeyId(PGPSignature signature)`
`PgpKeyId(String keyId)`

Method Summary
`int` | `compareTo(PgpKeyId other)`
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`static String` | `toHex(long keyId)`
`static long` | `toLong(String keyId)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### asHex

    final String asHex

### asLong

    final long asLong

Constructor Detail

### PgpKeyId

    PgpKeyId(long keyId)

### PgpKeyId

    PgpKeyId(PGPPublicKey keyId)

### PgpKeyId

    PgpKeyId(PGPSignature signature)

### PgpKeyId

    PgpKeyId(String keyId)

Method Detail

### compareTo

    int compareTo(PgpKeyId other)

### equals

    @Override
    boolean equals(Object other)

### hashCode

    @Override
    int hashCode()

### toHex

    static String toHex(long keyId)

### toLong

    static long toLong(String keyId)

### toString

    @Override
    String toString()

Gradle API 1.1-rc-1